# Class DummyJELRowReader

java.lang.Object
gnu.jel.DVMap
uk.ac.starlink.ttools.jel.JELRowReader
uk.ac.starlink.ttools.jel.StarTableJELRowReader
uk.ac.starlink.ttools.jel.DummyJELRowReader

public class DummyJELRowReader extends StarTableJELRowReader
JELRowReader which can't actually read any rows. It's only good for identifying columns, checking or evaluating JEL expressions in a per-table (not per-row) context, etc.

Since:
  3 Mar 2005
Author:
  Mark Taylor (Starlink)

## Field Summary

### Fields inherited from class StarTableJELRowReader

`PARAM_PREFIX, UCD_PREFIX, UTYPE_PREFIX`

### Fields inherited from class JELRowReader

`COLUMN_ID_CHAR, NULL_QUERY_PREFIX, OBJECT_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`DummyJELRowReader(uk.ac.starlink.table.StarTable baseTable)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getCell(int icol)`
Throws UnsupportedOperationException.
`long`
`getCurrentRow()`
Returns the index of the row on which evaluations are currently taking place.

### Methods inherited from class StarTableJELRowReader

`createDescribedValueConstant, getBooleanColumnValue, getByteColumnValue, getCharColumnValue, getColumnClass, getColumnIndexByName, getConstantByName, getDescribedValueByName, getDoubleColumnValue, getFloatColumnValue, getIntColumnValue, getLongColumnValue, getObjectColumnValue, getShortColumnValue, getSpecialByName, getTable, getUcdRegex, getUtypeRegex, isBlank, requiresRowIndex, valueDouble, valueInt, valueLong, valueObject, valueString`

### Methods inherited from class JELRowReader

`evaluate, evaluateBoolean, evaluateDouble, foundNull, getBooleanArrayProperty, getBooleanProperty, getBooleanProperty, getBooleanValue, getByteArrayProperty, getByteProperty, getByteValue, getCharArrayProperty, getCharProperty, getCharValue, getColumnIndex, getDateArrayProperty, getDoubleArrayProperty, getDoubleProperty, getDoubleValue, getFloatArrayProperty, getFloatProperty, getFloatValue, getIntArrayProperty, getIntProperty, getIntValue, getLongArrayProperty, getLongProperty, getLongValue, getNumberProperty, getObjectArrayProperty, getObjectProperty, getShortArrayProperty, getShortProperty, getShortValue, getStringArrayProperty, getStringProperty, getTranslatedColumns, getTranslatedConstants, getTypeName, setFailOnNull, stripPrefix, translate`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DummyJELRowReader

public DummyJELRowReader(uk.ac.starlink.table.StarTable baseTable)
Constructor.

Parameters:
  `baseTable` - table whose columns this reader will be based on

## Method Details

### getCell

protected Object getCell(int icol)
Throws UnsupportedOperationException.

Specified by:
  `getCell` in class `StarTableJELRowReader`
Parameters:
  `icol` - column index
Returns:
  contents of column `icol` at the current row

### getCurrentRow

public long getCurrentRow()
Description copied from class: `StarTableJELRowReader`
Returns the index of the row on which evaluations are currently taking place.

Specified by:
  `getCurrentRow` in class `StarTableJELRowReader`
Returns:
  row index (first row is 0)